Description: Fix va_list type error in GCC-14.
 Macro definition failed under GCC-14 due to its stricter
 type checking for pointer types and argument lists. Update
 macro definition to explicitly casts va_list to the correct
 pointer type.
Author: Yogeswaran Umasankar <yogu@debian.org>
Forwarded: https://github.com/manugarg/pacparser/issues/194
Last-Update: 2024-08-01

--- a/src/spidermonkey/js/src/jsapi.c
+++ b/src/spidermonkey/js/src/jsapi.c
@@ -93,7 +93,7 @@
 #ifdef HAVE_VA_LIST_AS_ARRAY
 #define JS_ADDRESSOF_VA_LIST(ap) ((va_list *)(ap))
 #else
-#define JS_ADDRESSOF_VA_LIST(ap) (&(ap))
+#define JS_ADDRESSOF_VA_LIST(ap) ((va_list *)(&(ap)))
 #endif
 
 #if defined(JS_PARANOID_REQUEST) && defined(JS_THREADSAFE)
